<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [stopAction](./bitburner.singularity.stopaction.md)

## Singularity.stopAction() method

Stop the current action.

**Signature:**

```typescript
stopAction(): boolean;
```
**Returns:**

boolean

True if the player’s action was ended, false if the player was not performing an action.

## Remarks

RAM cost: 1 GB \* 16/4/1

This function is used to end whatever ‘action’ the player is currently performing. The player will receive whatever money/experience/etc. he has earned from that action.

The actions that can be stopped with this function are:

\* Studying at a university \* Working out at a gym \* Working for a company/faction \* Creating a program \* Committing a crime

This function will return true if the player’s action was ended. It will return false if the player was not performing an action when this function was called.

